idella4     14/06/26 01:28:00

  Modified:             lyvi-2.0.0.ebuild ChangeLog
  Log:
  tidy deps, remove rogue pip dep in setup.py, fixes Bug #514976
  
  (Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key 
0xB8072B0D)

Revision  Changes    Path
1.2                  media-sound/lyvi/lyvi-2.0.0.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-sound/lyvi/lyvi-2.0.0.ebuild?rev=1.2&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-sound/lyvi/lyvi-2.0.0.ebuild?rev=1.2&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-sound/lyvi/lyvi-2.0.0.ebuild?r1=1.1&r2=1.2

Index: lyvi-2.0.0.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-sound/lyvi/lyvi-2.0.0.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- lyvi-2.0.0.ebuild   22 Jun 2014 13:13:31 -0000      1.1
+++ lyvi-2.0.0.ebuild   26 Jun 2014 01:28:00 -0000      1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-sound/lyvi/lyvi-2.0.0.ebuild,v 1.1 
2014/06/22 13:13:31 idella4 Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/lyvi/lyvi-2.0.0.ebuild,v 1.2 
2014/06/26 01:28:00 idella4 Exp $
 
 EAPI="5"
 PYTHON_COMPAT=( python3_3 )
@@ -24,5 +24,10 @@
                        dev-python/dbus-python[${PYTHON_USEDEP}]
                        dev-python/pygobject:3[${PYTHON_USEDEP}]
                )"
-DEPEND="${RDEPEND}
-               dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+       # Remove pip dependency
+       sed -e '/require/d' --in-place setup.py || die
+       distutils-r1_python_prepare_all
+}



1.3                  media-sound/lyvi/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-sound/lyvi/ChangeLog?rev=1.3&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-sound/lyvi/ChangeLog?rev=1.3&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-sound/lyvi/ChangeLog?r1=1.2&r2=1.3

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-sound/lyvi/ChangeLog,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- ChangeLog   25 Jun 2014 12:45:33 -0000      1.2
+++ ChangeLog   26 Jun 2014 01:28:00 -0000      1.3
@@ -1,6 +1,9 @@
 # ChangeLog for media-sound/lyvi
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/media-sound/lyvi/ChangeLog,v 1.2 2014/06/25 
12:45:33 jer Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/lyvi/ChangeLog,v 1.3 2014/06/26 
01:28:00 idella4 Exp $
+
+  26 Jun 2014; Ian Delaney <[email protected]> lyvi-2.0.0.ebuild:
+  tidy deps, remove rogue pip dep in setup.py, fixes Bug #514976
 
   25 Jun 2014; Jeroen Roovers <[email protected]> metadata.xml:
   Fix e-mail address.




Reply via email to